HRIS Employee Payroll Runs

The HrisEmployeePayrollRun Object

Properties

idstring

The Rutter generated unique ID of the HRIS employee payroll run.

platform_idstring

The platform specific ID of the HRIS employee payroll run.

employee_idstring

The Rutter ID of the HRIS employee payroll run linked to the employee.

paycheck_txn_idstringnullable

The platform paycheck transaction identifier.

payroll_run_idstringnullable

The platform or provider payroll run identifier.

check_datestringnullable

The date the paycheck was issued.

gross_paynumbernullable

The employee's gross pay.

net_paynumbernullable

The employee's net pay.

total_hoursnumbernullable

The total hours paid.

employer_contributionsarray

Contributions paid by the employer.

Show employer_contributions attributes
earningsarray

Earnings included in the paycheck.

Show earnings attributes
employee_deductionsarray

Deductions taken from the employee's pay.

Show employee_deductions attributes
taxesarray

Taxes withheld or paid by the employer.

Show taxes attributes
created_atstringnullable

The ISO 8601 timestamp that the HRIS employee payroll run was created.

updated_atstringnullable

The ISO 8601 timestamp that the HRIS employee payroll run was last updated.

last_synced_atstring

The ISO 8601 timestamp when the HRIS employee payroll run was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/hris/employee_payroll_runs
GET
/hris/employee_payroll_runs/:id

List Employee Payroll Runs

GEThttps://production.rutterapi.com/versioned/hris/employee_payroll_runs

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    last_synced_at_minintegerqueryOptional

    Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Fetch an Employee Payroll Run

GEThttps://production.rutterapi.com/versioned/hris/employee_payroll_runs/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    id_typeenumqueryOptional

    Used to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.

    One ofrutter or platform.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Have questions?

Contact support for personalized guidance.

Contact support